Private Endpoint Connections - Get
지정된 프라이빗 엔드포인트 연결을 가져옵니다.
프라이빗 클러스터에 대한 자세한 내용은 다음을 참조하세요. https://docs.microsoft.com/azure/aks/private-clusters
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ContainerService/managedClusters/{resourceName}/privateEndpointConnections/{privateEndpointConnectionName}?api-version=2026-01-01
URI 매개 변수
| Name | In(다음 안에) | 필수 | 형식 | Description |
|---|---|---|---|---|
|
private
|
path | True |
string |
프라이빗 엔드포인트 연결의 이름입니다. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
리소스 그룹의 이름입니다. 이름은 대소문자를 구분하지 않습니다. |
|
resource
|
path | True |
string minLength: 1maxLength: 63 pattern: ^[a-zA-Z0-9]$|^[a-zA-Z0-9][-_a-zA-Z0-9]{0,61}[a-zA-Z0-9]$ |
관리되는 클러스터 리소스의 이름입니다. |
|
subscription
|
path | True |
string (uuid) |
대상 구독의 ID입니다. 값은 UUID여야 합니다. |
|
api-version
|
query | True |
string minLength: 1 |
이 작업에 사용할 API 버전입니다. |
응답
| Name | 형식 | Description |
|---|---|---|
| 200 OK |
Azure 운영이 성공적으로 완료되었습니다. |
|
| Other Status Codes |
예기치 않은 오류 응답입니다. |
보안
azure_auth
Azure Active Directory OAuth2 Flow.
형식:
oauth2
Flow:
implicit
권한 부여 URL:
https://login.microsoftonline.com/common/oauth2/authorize
범위
| Name | Description |
|---|---|
| user_impersonation | 사용자 계정 가장 |
예제
Get Private Endpoint Connection
샘플 요청
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/privateEndpointConnections/privateendpointconnection1?api-version=2026-01-01
샘플 응답
{
"name": "privateendpointconnection1",
"type": "Microsoft.Network/privateLinkServices/privateEndpointConnections",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedCluster/clustername1/privateEndpointConnections/privateendpointconnection1",
"properties": {
"privateEndpoint": {
"id": "/subscriptions/subid2/resourceGroups/rg2/providers/Microsoft.Network/privateEndpoints/pe2"
},
"privateLinkServiceConnectionState": {
"status": "Approved"
},
"provisioningState": "Succeeded"
}
}
정의
| Name | Description |
|---|---|
|
Connection |
private link 서비스 연결 상태. |
|
created |
리소스를 만든 ID의 형식입니다. |
|
Error |
리소스 관리 오류 추가 정보입니다. |
|
Error |
오류 세부 정보입니다. |
|
Error |
오류 응답 |
|
Private |
연결이 속한 프라이빗 엔드포인트입니다. |
|
Private |
프라이빗 엔드포인트 연결 |
|
Private |
현재 프로비저닝 상태입니다. |
|
Private |
프라이빗 링크 서비스 연결의 상태입니다. |
|
system |
리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다. |
ConnectionStatus
private link 서비스 연결 상태.
| 값 | Description |
|---|---|
| Pending |
연결 승인 대기 중입니다. |
| Approved |
연결 승인됨. |
| Rejected |
연결이 거부되었습니다. |
| Disconnected |
연결이 끊겼습니다. |
createdByType
리소스를 만든 ID의 형식입니다.
| 값 | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
리소스 관리 오류 추가 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| info |
object |
추가 정보입니다. |
| type |
string |
추가 정보 유형입니다. |
ErrorDetail
오류 세부 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| additionalInfo |
오류 추가 정보입니다. |
|
| code |
string |
오류 코드입니다. |
| details |
오류 세부 정보입니다. |
|
| message |
string |
오류 메시지입니다. |
| target |
string |
오류 대상입니다. |
ErrorResponse
오류 응답
| Name | 형식 | Description |
|---|---|---|
| error |
오류 개체입니다. |
PrivateEndpoint
연결이 속한 프라이빗 엔드포인트입니다.
| Name | 형식 | Description |
|---|---|---|
| id |
string |
프라이빗 엔드포인트의 리소스 ID |
PrivateEndpointConnection
프라이빗 엔드포인트 연결
| Name | 형식 | Description |
|---|---|---|
| id |
string (arm-id) |
리소스에 대한 정규화된 리소스 ID입니다. 예: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
리소스의 이름 |
| properties.privateEndpoint |
프라이빗 엔드포인트의 리소스입니다. |
|
| properties.privateLinkServiceConnectionState |
서비스 consumer와 제공자 간의 연결 상태에 관한 정보 모음입니다. |
|
| properties.provisioningState |
현재 프로비저닝 상태입니다. |
|
| systemData |
createdBy 및 modifiedBy 정보가 포함된 Azure Resource Manager 메타데이터입니다. |
|
| type |
string |
리소스의 형식입니다. 예: "Microsoft.Compute/virtualMachines" 또는 "Microsoft.Storage/storageAccounts" |
PrivateEndpointConnectionProvisioningState
현재 프로비저닝 상태입니다.
| 값 | Description |
|---|---|
| Canceled |
프라이빗 엔드포인트 연결 프로비저닝이 취소되었습니다. |
| Creating |
프라이빗 엔드포인트 연결이 생성되고 있습니다. |
| Deleting |
개인 엔드포인트 연결이 삭제되고 있습니다. |
| Failed |
프라이빗 엔드포인트 연결 프로비저닝이 실패했습니다. |
| Succeeded |
프라이빗 엔드포인트 연결 프로비저닝이 성공했습니다. |
PrivateLinkServiceConnectionState
프라이빗 링크 서비스 연결의 상태입니다.
| Name | 형식 | Description |
|---|---|---|
| description |
string |
프라이빗 링크 서비스 연결 설명입니다. |
| status |
private link 서비스 연결 상태. |
systemData
리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.
| Name | 형식 | Description |
|---|---|---|
| createdAt |
string (date-time) |
리소스 만들기의 타임스탬프(UTC)입니다. |
| createdBy |
string |
리소스를 만든 ID입니다. |
| createdByType |
리소스를 만든 ID의 형식입니다. |
|
| lastModifiedAt |
string (date-time) |
리소스 마지막 수정의 타임스탬프(UTC) |
| lastModifiedBy |
string |
리소스를 마지막으로 수정한 ID입니다. |
| lastModifiedByType |
리소스를 마지막으로 수정한 ID의 형식입니다. |